// Device : Robot Cleaner
{
  "deviceName": "[robot vacuum]",
  "deviceType": "x.wwst.d.robotcleaner",
  "collectionInfo": {
    "rt": "x.com.samsung.devcol",
    "uri": "/device",
    "ocif":["oic.if.baseline", "oic.if.ll", "oic.if.b"]
  },
  "resourceTypes": [
    {
      "rt": "x.com.st.powerswitch",
      "uri": "/switch/main",
      "n": "Power Switch",
      "v": true
    },
    {
      "rt": "x.com.st.robot.cleaner.movement",
      "uri": "/robotCleanerMovement/main",
      "n": "Robot Cleaner Movement Mode",
      "v": true
    },
    {
      "rt": "x.com.st.robot.cleaner.cleaning",
      "uri": "/robotCleanerCleaningMode/main",
      "n": "Robot Cleaner Cleaning Mode",
      "v": true
    },
    {
      "rt": "x.com.st.robot.cleaner.turbo",
      "uri": "/robotCleanerTurboMode/main",
      "n": "Robot Cleaner Turbo Mode",
      "v": true
    },
    {
      "rt": "x.com.st.filter",
      "uri": "/filterStatus/main",
      "n": "Filter State",
      "v": true
    },
    {
      "rt": "oic.r.energy.battery",
      "uri": "/battery/main",
      "n": "Battery",
      "v": true
    }
  ],
  "platformInfo": {
    "pi": "1234",//this value is mandatory for registering platform
    "mnmn": "Samsung Electronics",
    "mnml": "http://www.samsung.com",
    "mnmo": "0x0600",
    "mndt": "",
    "mnpv": "",
    "mnos": "",
    "mnhw": "A20_RVC_VER_2.1",
    "mnfv": "Virtual Device_0824",
    "mnsl": "",
    "st": "",
    "vid": "GE-RVC-NORMAL-000001"
  }
}